package com.gic.finance.constant;

/**
 * 服务订购类型
 * @ClassName: OrderTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 1:41 PM 
 */
public enum OrderTypeEnum {
    RECHARGE(1, "充值"),
    SHORT_MESSAGE_PACKAGE(2, "短信套餐"),
    SERVICE(3, "服务"),
    EXTENSION_PACKAGE(4, "拓展包"),
    PACKAGE(5, "套餐包");

    private int code;
    private String message;

    private OrderTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessageBuCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (OrderTypeEnum statusEnum : values()) {
            if (statusEnum.getCode() == code.intValue()) {
                return statusEnum.getMessage();
            }
        }
        return "未知";
    }
}
