package com.gic.finance.constant;

/**
 * 转账审批状态
 * @ClassName: TransferAccountApprovalStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 1:37 PM 
 */
public enum TransferAccountApprovalStatusEnum {
    TO_BE_APPROVED(1, "待审批"),
    CANCEL(2, "已取消"),
    REJECT(3, "已驳回"),
    AGREE(4, "审批通过");

    private int code;
    private String message;

    private TransferAccountApprovalStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessageBuCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (TransferAccountApprovalStatusEnum statusEnum : values()) {
            if (statusEnum.getCode() == code.intValue()) {
                return statusEnum.getMessage();
            }
        }
        return "未知";
    }
}
