package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabInvoiceAccount;

public interface TabInvoiceAccountMapper {
    /**
     * 根据主键删除
     *
     * @param invoiceAccountId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer invoiceAccountId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabInvoiceAccount record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabInvoiceAccount record);

    /**
     * 根据主键查询
     *
     * @param invoiceAccountId 主键
     * @return 实体对象
     */
    TabInvoiceAccount selectByPrimaryKey(Integer invoiceAccountId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabInvoiceAccount record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabInvoiceAccount record);
}