package com.gic.finance.dao.mapper;

import com.gic.finance.qo.TransferListQueryQO;
import org.apache.ibatis.annotations.Param;

import com.gic.finance.entity.TabTransferAccountsApproval;

import java.util.List;

public interface TabTransferAccountsApprovalMapper {
    /**
     * 根据主键删除
     *
     * @param transferApprovalId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer transferApprovalId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTransferAccountsApproval record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTransferAccountsApproval record);

    /**
     * 根据主键查询
     *
     * @param transferApprovalId 主键
     * @return 实体对象
     */
    TabTransferAccountsApproval selectByPrimaryKey(Integer transferApprovalId);

    /**
     * 根据订单流水号查询单条
     * @Title: selectByOrderNumber 
     * @Description:
      * @author guojuxing
     * @param orderNumber 
     * @return  com.gic.finance.entity.TabTransferAccountsApproval 
      */
    TabTransferAccountsApproval selectByOrderNumber(@Param("orderNumber") String orderNumber);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTransferAccountsApproval record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTransferAccountsApproval record);

    /**
     * 查询转账审批列表
     * @Title: listTransferAccountsApproval 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.finance.entity.TabTransferAccountsApproval> 
      */
    List<TabTransferAccountsApproval> listTransferAccountsApproval(TransferListQueryQO params);
}