package com.gic.finance.service;

import com.gic.finance.dto.TransferAccountsApprovalDTO;
import com.gic.finance.entity.TabTransferAccountsApproval;
import com.gic.finance.qo.TransferListQueryQO;
import com.github.pagehelper.Page;

/**
 * 转账审批
 * @author $user$
 * @ClassName: $ClassName$
 * @Description: $desc$
 * @date $date$ $time$
 */
public interface TransferAccountsApprovalService {
    /**
     * 保存
     * @Title: initiateApproval 
     * @Description:
      * @author guojuxing
     * @param transferAccountsApprovalDTO 
     * @return  int 
      */
    int initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    /**
     * 主键查询单条
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param transferApprovalId 
     * @return  com.gic.finance.entity.TabTransferAccountsApproval 
      */
    TabTransferAccountsApproval getById(Integer transferApprovalId);

    /**
     * 根据订单流水号查询单条数据
     * @Title: getByOrderNumber 
     * @Description:
      * @author guojuxing
     * @param orderNumber 
     * @return  com.gic.finance.entity.TabTransferAccountsApproval 
      */
    TabTransferAccountsApproval getByOrderNumber(String orderNumber);

    /**
     * 更新
     * @Title: updateTransferAccountsApproval 
     * @Description:
      * @author guojuxing
     * @param transferAccountsApprovalDTO 
     * @return  void 
      */
    void updateTransferAccountsApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    /**
     * 分页查询
     * @Title: listTransferAccountsApproval 
     * @Description:
      * @author guojuxing
     * @param params  
     * @return  com.github.pagehelper.Page<com.gic.finance.dto.TransferAccountsApprovalDTO> 
      */
    Page<TabTransferAccountsApproval> listTransferAccountsApproval(TransferListQueryQO params);

}
