package com.gic.finance.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.qo.InvoiceManageListQueryQO;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.finance.dao.mapper.TabInvoiceManageMapper;
import com.gic.finance.dto.InvoiceManageDTO;
import com.gic.finance.entity.TabInvoiceManage;
import com.gic.finance.service.InvoiceManageService;

import java.util.Date;
import java.util.List;

@Service("invoiceManageService")
public class InvoiceManageServiceImpl implements InvoiceManageService{
    @Autowired
    private TabInvoiceManageMapper tabInvoiceManageMapper;
    @Override
    public void save(InvoiceManageDTO invoiceManageDTO) {
        TabInvoiceManage tabInvoiceManage = EntityUtil.changeEntityNew(TabInvoiceManage.class, invoiceManageDTO);
        tabInvoiceManageMapper.insertSelective(tabInvoiceManage);
    }

    @Override
    public TabInvoiceManage getById(Integer invoiceManageId) {
        return tabInvoiceManageMapper.selectByPrimaryKey(invoiceManageId);
    }

    @Override
    public void update(InvoiceManageDTO invoiceManageDTO) {
        invoiceManageDTO.setUpdateTime(new Date());
        TabInvoiceManage tabInvoiceManage = EntityUtil.changeEntityNew(TabInvoiceManage.class, invoiceManageDTO);
        tabInvoiceManageMapper.updateByPrimaryKeySelective(tabInvoiceManage);
    }

    @Override
    public Page<TabInvoiceManage> listInvoiceManage(InvoiceManageListQueryQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<TabInvoiceManage> list = tabInvoiceManageMapper.listInvoiceManage(params);
        return (Page<TabInvoiceManage>) list;
    }
}
