package com.gic.finance.service.impl;

import java.util.Date;
import java.util.List;

import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.dao.mapper.TabTransferAccountsApprovalMapper;
import com.gic.finance.dto.TransferAccountsApprovalDTO;
import com.gic.finance.entity.TabTransferAccountsApproval;
import com.gic.finance.qo.TransferListQueryQO;
import com.gic.finance.service.TransferAccountsApprovalService;
import com.github.pagehelper.PageHelper;

/**
 * @ClassName: TransferAccountsApprovalServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/13 2:18 PM 
 */
@Service("transferAccountsApprovalService")
public class TransferAccountsApprovalServiceImpl implements TransferAccountsApprovalService{
    @Autowired
    private TabTransferAccountsApprovalMapper tabTransferAccountsApprovalMapper;
    @Override
    public int initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO) {
        TabTransferAccountsApproval transfer = EntityUtil.changeEntityNew(TabTransferAccountsApproval.class, transferAccountsApprovalDTO);
        tabTransferAccountsApprovalMapper.insertSelective(transfer);
        return 1;
    }

    @Override
    public TabTransferAccountsApproval getById(Integer transferApprovalId) {
        return tabTransferAccountsApprovalMapper.selectByPrimaryKey(transferApprovalId);
    }

    @Override
    public TabTransferAccountsApproval getByOrderNumber(String orderNumber) {
        return tabTransferAccountsApprovalMapper.selectByOrderNumber(orderNumber);
    }

    @Override
    public void updateTransferAccountsApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO) {
        transferAccountsApprovalDTO.setUpdateTime(new Date());
        TabTransferAccountsApproval transfer = EntityUtil.changeEntityNew(TabTransferAccountsApproval.class, transferAccountsApprovalDTO);
        tabTransferAccountsApprovalMapper.updateByPrimaryKeySelective(transfer);
    }

    @Override
    public Page<TabTransferAccountsApproval> listTransferAccountsApproval(TransferListQueryQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<TabTransferAccountsApproval> list = tabTransferAccountsApprovalMapper.listTransferAccountsApproval(params);
        return (Page<TabTransferAccountsApproval>) list;
    }
}
