package com.gic.finance.web.vo;

import com.gic.finance.constant.EnterprisePlatformTypeEnum;
import com.gic.finance.constant.InvoiceStatusEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * 发票列表VO
 * @ClassName: InvoiceManageListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 9:40 AM 
 */
public class InvoiceManageListVO implements Serializable{
    private static final long serialVersionUID = -2907051857343527897L;

    /**
     *
     */
    private Integer invoiceManageId;

    /**
     *
     */
    private Date createTime;
    /**
     * 申请单流水号
     */
    private String invoiceApplySerial;
    /**
     * 关联订单平台方（商户类型）1:GIC 2: 好办
     */
    private Integer platformType;
    /**
     * 商户类型名称
     */
    private String platformTypeStr;
    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司logo
     */
    private String logo;
    /**
     * 开票金额
     */
    private Double billingAmount;
    /**
     * 发票状态 1:待开具 2:待邮寄 3:已邮寄 4:已驳回 5:已取消
     */
    private Integer invoiceStatus;
    /**
     * 发票状态名称
     */
    private String invoiceStatusStr;
    /**
     * 操作时间
     */
    private Date operatorTime;
    /**
     * 快递公司
     */
    private String expressMailName;

    /**
     * 快递单号
     */
    private String expressMailNumber;

    public Integer getInvoiceManageId() {
        return invoiceManageId;
    }

    public void setInvoiceManageId(Integer invoiceManageId) {
        this.invoiceManageId = invoiceManageId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getInvoiceApplySerial() {
        return invoiceApplySerial;
    }

    public void setInvoiceApplySerial(String invoiceApplySerial) {
        this.invoiceApplySerial = invoiceApplySerial;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformTypeStr() {
        return EnterprisePlatformTypeEnum.getMessageByCode(platformType);
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Double getBillingAmount() {
        return billingAmount;
    }

    public void setBillingAmount(Double billingAmount) {
        this.billingAmount = billingAmount;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getInvoiceStatusStr() {
        return InvoiceStatusEnum.getMessageByCode(invoiceStatus);
    }


    public Date getOperatorTime() {
        return operatorTime;
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public String getExpressMailName() {
        return expressMailName;
    }

    public void setExpressMailName(String expressMailName) {
        this.expressMailName = expressMailName;
    }

    public String getExpressMailNumber() {
        return expressMailNumber;
    }

    public void setExpressMailNumber(String expressMailNumber) {
        this.expressMailNumber = expressMailNumber;
    }
}
