package com.gic.finance.web.vo;

import java.io.Serializable;
import java.util.Date;

import com.gic.finance.constant.EnterprisePlatformTypeEnum;
import com.gic.finance.constant.InitiatorTypeEnum;
import com.gic.finance.constant.TransferAccountApprovalStatusEnum;

/**
 * 转账审批列表VO
 * @ClassName: TransferApprovalListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:38 PM 
 */
public class TransferApprovalListVO implements Serializable{
    private static final long serialVersionUID = -1254096293186884889L;

    private Integer transferApprovalId;

    /**
     * 关联订单平台方（商户类型）1:GIC 2: 好办
     */
    private Integer platformType;
    /**
     * 商户类型名称
     */
    private String platformTypeStr;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司logo
     */
    private String logo;

    /**
     * 发起方1：商户 2:运维后台
     */
    private Integer initiatorType;
    /**
     * 发起方名称
     */
    private String initiatorTypeStr;

    /**
     * 发起方姓名
     */
    private String initiatorName;

    /**
     * 计划金额
     */
    private Double plannedAmount;

    /**
     * 坏账金额
     */
    private Double badAmount;

    /**
     * 验证码
     */
    private String verifyCode;

    /**
     * 审批流水号
     */
    private String approvalNumber;

    /**
     * 审批状态 1:待审批 2:已取消 3:已驳回 4:审批通过
     */
    private Integer approvalStatus;
    /**
     * 审批状态 名称
     */
    private String approvalStatusStr;

    /**
     * 审批人姓名
     */
    private String approvalName;

    /**
     * 审批时间
     */
    private Date approvalTime;

    public Integer getTransferApprovalId() {
        return transferApprovalId;
    }

    public void setTransferApprovalId(Integer transferApprovalId) {
        this.transferApprovalId = transferApprovalId;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformTypeStr() {
        return EnterprisePlatformTypeEnum.getMessageByCode(platformType);
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public void setInitiatorType(Integer initiatorType) {
        this.initiatorType = initiatorType;
    }

    public String getInitiatorTypeStr() {
        return InitiatorTypeEnum.getMessageByCode(initiatorType);
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

    public Double getPlannedAmount() {
        return plannedAmount;
    }

    public void setPlannedAmount(Double plannedAmount) {
        this.plannedAmount = plannedAmount;
    }

    public Double getBadAmount() {
        return badAmount;
    }

    public void setBadAmount(Double badAmount) {
        this.badAmount = badAmount;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public String getApprovalStatusStr() {
        return TransferAccountApprovalStatusEnum.getMessageBuCode(approvalStatus);
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public Date getApprovalTime() {
        return approvalTime;
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }
}
